<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Oct 19 03:32:54 COT 2020 -->
<title>Index (sopabinaria-bluej)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-10-19">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (sopabinaria-bluej)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="Modelo/Bit.html" title="class in Modelo"><span class="typeNameLink">Bit</span></a> - Class in <a href="Modelo/package-summary.html">Modelo</a></dt>
<dd>
<div class="block">Clase bit que contendrá un bit para su previa búsqueda</div>
</dd>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#%3Cinit%3E()">Bit()</a></span> - Constructor for class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>
<div class="block">Constructor vacío de la clase Bit</div>
</dd>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#%3Cinit%3E(boolean)">Bit(boolean)</a></span> - Constructor for class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>
<div class="block">Constructor de la clase Bit con un parámetro</div>
</dd>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#%3Cinit%3E(boolean,boolean)">Bit(boolean, boolean)</a></span> - Constructor for class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>
<div class="block">Constructor de la clase Bit con dos parámetros</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#buscarEnSopa(int)">buscarEnSopa(int)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Función que ejecuta cada una de las funciones de búsqueda y el resultado lo retorna en un String</div>
</dd>
<dt><span class="memberNameLink"><a href="Controlador/SopaBinariaControlador.html#buscarNumero()">buscarNumero()</a></span> - Method in class Controlador.<a href="Controlador/SopaBinariaControlador.html" title="class in Controlador">SopaBinariaControlador</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#buscarParidad(Modelo.Bit%5B%5D%5B%5D)">buscarParidad(Bit[][])</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Busca los pares de bit en la matriz cargada</div>
</dd>
</dl>
<a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="Controlador/SopaBinariaControlador.html#cargarDatos()">cargarDatos()</a></span> - Method in class Controlador.<a href="Controlador/SopaBinariaControlador.html" title="class in Controlador">SopaBinariaControlador</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Controlador/package-summary.html">Controlador</a> - package Controlador</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#convertirEnteroABinario(int)">convertirEnteroABinario(int)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Convierte número entero a binario
 Ejemplo tomado de: https://parzibyte.me/blog/2019/04/18/decimal-a-binario-java/</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#crearPDF(int)">crearPDF(int)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Función que crea el pdf con la búsqueda realizada</div>
</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#equals(int)">equals(int)</a></span> - Method in class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Test/Negocio/SopaBinariaTest.html#escenario()">escenario()</a></span> - Method in class Test.Negocio.<a href="Test/Negocio/SopaBinariaTest.html" title="class in Test.Negocio">SopaBinariaTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="Controlador/SopaBinariaControlador.html#generarPDF()">generarPDF()</a></span> - Method in class Controlador.<a href="Controlador/SopaBinariaControlador.html" title="class in Controlador">SopaBinariaControlador</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#getColor()">getColor()</a></span> - Method in class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>
<div class="block">Método getter para determinar si se debe o no colorear el valor encontrado</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#getCuantasVeces_Diagonal(int)">getCuantasVeces_Diagonal(int)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Función que me retorna la cantidad de veces encontrado el número en digonal</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#getCuantasVeces_Horizontal(int)">getCuantasVeces_Horizontal(int)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Busca dentro de la matriz cuantas veces está el número en binario de
 izquiera a derecha y viceversa.</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#getCuantasVeces_Vertical(int)">getCuantasVeces_Vertical(int)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Busca dentro de la matriz cuantas veces está el número en binario de
 arriba hacia abajo y viceversa.</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#getMatriz()">getMatriz()</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Interface/IBinario.html#getMatrizOrdenada()">getMatrizOrdenada()</a></span> - Method in interface Interface.<a href="Interface/IBinario.html" title="interface in Interface">IBinario</a></dt>
<dd>
<div class="block">Método de búsqueda de paridad en la matriz</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#getMatrizOrdenada()">getMatrizOrdenada()</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Obtengo la paridad de los bit encontrados</div>
</dd>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#getValor()">getValor()</a></span> - Method in class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>
<div class="block">Método getter de valor atributo de la claes</div>
</dd>
</dl>
<a id="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><a href="Interface/IBinario.html" title="interface in Interface"><span class="typeNameLink">IBinario</span></a> - Interface in <a href="Interface/package-summary.html">Interface</a></dt>
<dd>
<div class="block">Creamos el métodos para probar la paridad</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#imp()">imp()</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Imprime la matriz en consola</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#imprimirParidadPDF(Modelo.Bit%5B%5D%5B%5D,int%5B%5D,java.lang.String)">imprimirParidadPDF(Bit[][], int[], String)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Controlador/SopaBinariaControlador.html#initialize()">initialize()</a></span> - Method in class Controlador.<a href="Controlador/SopaBinariaControlador.html" title="class in Controlador">SopaBinariaControlador</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Interface/package-summary.html">Interface</a> - package Interface</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#isPalindrome(java.lang.String)">isPalindrome(String)</a></span> - Static method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Verifica si el número binario es palindrome.</div>
</dd>
</dl>
<a id="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#leerArchivo(java.lang.String,int)">leerArchivo(String, int)</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>
<div class="block">Leemos el archivo y lo cargamos a la matriz</div>
</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="Vista/PruebaPrevio.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class Vista.<a href="Vista/PruebaPrevio.html" title="class in Vista">PruebaPrevio</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Controlador/SopaBinariaControlador.html#miExcel">miExcel</a></span> - Variable in class Controlador.<a href="Controlador/SopaBinariaControlador.html" title="class in Controlador">SopaBinariaControlador</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Modelo/package-summary.html">Modelo</a> - package Modelo</dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><a href="Negocio/package-summary.html">Negocio</a> - package Negocio</dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="Vista/PruebaPrevio.html" title="class in Vista"><span class="typeNameLink">PruebaPrevio</span></a> - Class in <a href="Vista/package-summary.html">Vista</a></dt>
<dd>
<div class="block">Ejecución por consola de la sopa binaria</div>
</dd>
<dt><span class="memberNameLink"><a href="Vista/PruebaPrevio.html#%3Cinit%3E()">PruebaPrevio()</a></span> - Constructor for class Vista.<a href="Vista/PruebaPrevio.html" title="class in Vista">PruebaPrevio</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#setColor(boolean)">setColor(boolean)</a></span> - Method in class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>
<div class="block">Método setter, insetar boolean de si o no colorear en la sopa.</div>
</dd>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#setValor(boolean)">setValor(boolean)</a></span> - Method in class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>
<div class="block">Método setter para insertar boolean valor al valor atributo</div>
</dd>
<dt><a href="Negocio/SopaBinaria.html" title="class in Negocio"><span class="typeNameLink">SopaBinaria</span></a> - Class in <a href="Negocio/package-summary.html">Negocio</a></dt>
<dd>
<div class="block">Contiene toda la lógica agregar los datos del excel y hacer las busquedas del
 número binario</div>
</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#%3Cinit%3E()">SopaBinaria()</a></span> - Constructor for class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#%3Cinit%3E(java.lang.String,int)">SopaBinaria(String, int)</a></span> - Constructor for class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Controlador/SopaBinariaControlador.html" title="class in Controlador"><span class="typeNameLink">SopaBinariaControlador</span></a> - Class in <a href="Controlador/package-summary.html">Controlador</a></dt>
<dd>
<div class="block">Clase controlador quien maneja cada uno de los eventos lanzados por el usuario.</div>
</dd>
<dt><span class="memberNameLink"><a href="Controlador/SopaBinariaControlador.html#%3Cinit%3E()">SopaBinariaControlador()</a></span> - Constructor for class Controlador.<a href="Controlador/SopaBinariaControlador.html" title="class in Controlador">SopaBinariaControlador</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Test/Negocio/SopaBinariaTest.html" title="class in Test.Negocio"><span class="typeNameLink">SopaBinariaTest</span></a> - Class in <a href="Test/Negocio/package-summary.html">Test.Negocio</a></dt>
<dd>
<div class="block">The test class SopaBinariaTest.</div>
</dd>
<dt><span class="memberNameLink"><a href="Test/Negocio/SopaBinariaTest.html#%3Cinit%3E()">SopaBinariaTest()</a></span> - Constructor for class Test.Negocio.<a href="Test/Negocio/SopaBinariaTest.html" title="class in Test.Negocio">SopaBinariaTest</a></dt>
<dd>
<div class="block">Default constructor for test class SopaBinariaTest</div>
</dd>
<dt><a href="Vista/SopaBinariaVista.html" title="class in Vista"><span class="typeNameLink">SopaBinariaVista</span></a> - Class in <a href="Vista/package-summary.html">Vista</a></dt>
<dd>
<div class="block">Clase vista que se conecta con el fxml y este a su vez con el controlador para manejar los eventos.</div>
</dd>
<dt><span class="memberNameLink"><a href="Vista/SopaBinariaVista.html#%3Cinit%3E()">SopaBinariaVista()</a></span> - Constructor for class Vista.<a href="Vista/SopaBinariaVista.html" title="class in Vista">SopaBinariaVista</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Vista/SopaBinariaVista.html#start(javafx.stage.Stage)">start(Stage)</a></span> - Method in class Vista.<a href="Vista/SopaBinariaVista.html" title="class in Vista">SopaBinariaVista</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><a href="Test/Negocio/package-summary.html">Test.Negocio</a> - package Test.Negocio</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Test/Negocio/SopaBinariaTest.html#testGetMatrizOrdenada()">testGetMatrizOrdenada()</a></span> - Method in class Test.Negocio.<a href="Test/Negocio/SopaBinariaTest.html" title="class in Test.Negocio">SopaBinariaTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Modelo/Bit.html#toString()">toString()</a></span> - Method in class Modelo.<a href="Modelo/Bit.html" title="class in Modelo">Bit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Negocio/SopaBinaria.html#toString()">toString()</a></span> - Method in class Negocio.<a href="Negocio/SopaBinaria.html" title="class in Negocio">SopaBinaria</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><a href="Vista/package-summary.html">Vista</a> - package Vista</dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
